org.rrd4j.core.jrrd

## Class DataSource

- java.lang.Object
- - org.rrd4j.core.jrrd.DataSource

-     public class DataSource
      extends Object

  Instances of this class model a data source in an RRD file.
  Version:
    $Revision: 1.1 $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSource(RRDFile file)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getMaximum()` Returns the maximum value input to this data source can have.
    `double` | `getMinimum()` Returns the minimum value input to this data source can have.
    `int` | `getMinimumHeartbeat()` Returns the minimum required heartbeat for this data source.
    `String` | `getName()` Returns the name of this data source.
    `PDPStatusBlock` | `getPDPStatusBlock()` Returns the primary data point status block for this data source.
    `DataSourceType` | `getType()` Returns the type this data source is.
    `(package private) void` | `loadPDPStatusBlock(RRDFile file)`
    `(package private) void` | `printInfo(PrintStream s, NumberFormat numberFormat)`
    `String` | `toString()` Returns a summary the contents of this data source.
    `(package private) void` | `toXml(PrintStream s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSource

          DataSource(RRDFile file)

  - ### Method Detail

    - #### getMaximum

          public double getMaximum()

      Returns the maximum value input to this data source can have.
      Returns:
        the maximum value input to this data source can have.

    - #### getMinimum

          public double getMinimum()

      Returns the minimum value input to this data source can have.
      Returns:
        the minimum value input to this data source can have.

    - #### getMinimumHeartbeat

          public int getMinimumHeartbeat()

      Returns the minimum required heartbeat for this data source.
      Returns:
        the minimum required heartbeat for this data source.

    - #### getName

          public String getName()

      Returns the name of this data source.
      Returns:
        the name of this data source.

    - #### getPDPStatusBlock

          public PDPStatusBlock getPDPStatusBlock()

      Returns the primary data point status block for this data source.
      Returns:
        the primary data point status block for this data source.

    - #### getType

          public DataSourceType getType()

      Returns the type this data source is.
      Returns:
        the type this data source is.
      See Also:
        `DataSourceType`

    - #### loadPDPStatusBlock

          void loadPDPStatusBlock(RRDFile file)

    - #### printInfo

          void printInfo(PrintStream s,
                         NumberFormat numberFormat)

    - #### toString

          public String toString()

      Returns a summary the contents of this data source.
      Overrides:
        `toString` in class `Object`
      Returns:
        a summary of the information contained in this data source.

    - #### toXml

          void toXml(PrintStream s)